libmysqlclient shared library version 16 to 18
Posted by: Sebastien FLAESCH
Date: January 05, 2012 03:49AM

Hi all,

You probably know that the version number of the libmysqlclient.so library has changed from .16 to .18 in version 5.5.11 ...

As result, binaries linked with libmysqlclient.so.16 do no longer work with 5.5.11 and +, so people have to do tricky workarounds such as:

ln -s libmysqlclient.so.18 libmysqlclient.so.16

Of course this is not good practice...

Could anyone explain why the client lib version has changed?

Is the 5.5.11+ client lib no longer compatible with prior versions?

I could not find any information in the changes page:

http://dev.mysql.com/doc/refman/5.5/en/news-5-5-11.html

If all client libs of 5.5.x versions are compatible, I believe it was a big mistake to change the version number...

Thanks for your help.
Seb

Options: ReplyQuote


Subject
Views
Written By
Posted
libmysqlclient shared library version 16 to 18
8466
January 05, 2012 03:49AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.